import type { FileSystem } from '@aries-framework/core';
export declare class NodeFileSystem implements FileSystem {
    readonly basePath: string;
    /**
     * Create new NodeFileSystem class instance.
     *
     * @param basePath The base path to use for reading and writing files. process.cwd() if not specified
     */
    constructor(basePath?: string);
    exists(path: string): Promise<boolean>;
    write(path: string, data: string): Promise<void>;
    read(path: string): Promise<string>;
    downloadToFile(url: string, path: string): Promise<void>;
}
