/// <reference types="node" />
import type { InboundTransport, Agent, TransportSession, EncryptedMessage } from '@aries-framework/core';
import type { Express, Request, Response } from 'express';
import type { Server } from 'http';
export declare class HttpInboundTransport implements InboundTransport {
    readonly app: Express;
    private port;
    private _server?;
    get server(): Server | undefined;
    constructor({ app, port }: {
        app?: Express;
        port: number;
    });
    start(agent: Agent): Promise<void>;
    stop(): Promise<void>;
}
export declare class HttpTransportSession implements TransportSession {
    id: string;
    readonly type = "http";
    req: Request;
    res: Response;
    constructor(id: string, req: Request, res: Response);
    send(encryptedMessage: EncryptedMessage): Promise<void>;
}
